Bug 860283 - Review Request: dmlite-plugins-profiler - Profiler plugin for dmlite
Review Request: dmlite-plugins-profiler - Profiler plugin for dmlite
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 09:18 EDT by Ricardo Rocha
Modified: 2012-11-14 13:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 13:28:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ricardo Rocha 2012-09-25 09:18:52 EDT
Spec URL: http://rocha.web.cern.ch/rocha/fedora/dmlite-plugins-profiler.spec
SRPM URL: http://rocha.web.cern.ch/rocha/fedora/dmlite-plugins-profiler-0.4.0-1.src.rpm
Description: This package provides the profiler plug-in for dmlite. This plug-in is a simple wrapper around a real plug-in implementation, and is used to do multiple measurements regarding the performance of each call to dmlite.
Comment 1 Ricardo Rocha 2012-09-25 09:20:52 EDT
Koji builds (successful):

http://koji.fedoraproject.org/koji/taskinfo?taskID=4524358 (dist-5E-epel)
http://koji.fedoraproject.org/koji/taskinfo?taskID=4524362 (dist-6E-epel)
http://koji.fedoraproject.org/koji/taskinfo?taskID=4524366 (fc17)
http://koji.fedoraproject.org/koji/taskinfo?taskID=4524369 (fc18)
http://koji.fedoraproject.org/koji/taskinfo?taskID=4524372 (rawhide)

They require a buildroot override which will expire as soon as dmlite 0.4.0 gets to stable.
Comment 2 Mario Blättermann 2012-10-05 18:48:27 EDT
New scratch build for f18 (your builds were outdated and the packages removed):
http://koji.fedoraproject.org/koji/taskinfo?taskID=4564415


$ rpmlint -i -v *dmlite-plugins-profiler.i686: I: checking
dmlite-plugins-profiler.i686: I: checking-url https://svnweb.cern.ch/trac/lcgdm (timeout 10 seconds)
dmlite-plugins-profiler.x86_64: I: checking
dmlite-plugins-profiler.x86_64: I: checking-url https://svnweb.cern.ch/trac/lcgdm (timeout 10 seconds)
dmlite-plugins-profiler.src: I: checking
dmlite-plugins-profiler.src: I: checking-url https://svnweb.cern.ch/trac/lcgdm (timeout 10 seconds)
dmlite-plugins-profiler.src: W: invalid-url Source0: dmlite-plugins-profiler-0.4.0.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

dmlite-plugins-profiler-debuginfo.i686: I: checking
dmlite-plugins-profiler-debuginfo.i686: I: checking-url https://svnweb.cern.ch/trac/lcgdm (timeout 10 seconds)
dmlite-plugins-profiler-debuginfo.x86_64: I: checking
dmlite-plugins-profiler-debuginfo.x86_64: I: checking-url https://svnweb.cern.ch/trac/lcgdm (timeout 10 seconds)
dmlite-plugins-profiler.spec: W: invalid-url Source0: dmlite-plugins-profiler-0.4.0.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

5 packages and 1 specfiles checked; 0 errors, 2 warnings.

Nothing of interest.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    ASL 2.0
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[.] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    3a7689f0af01d87014b2e92acee45cfcbf92a4d4a46080d36d76dc104e3a495a  dmlite-plugins-profiler-0.4.0.tar.gz
    95644e46ad3e0f0eb40d7dc9b00092ef079cb26668e091dbbdc9db497c90027a  dmlite-plugins-profiler-0.4.0.tar.gz.orig

Different checksums, it's common problem for any VCS checkouts.

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
    Shared library is not in a default path.

[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[x] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

Here's a problem: the folder %{libdir}/dmlite stays unowned. You should add an empty folder to the base package to fix this.

[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[.] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


Please fix the folder ownership. Additionally, remove the obsolete %defattr line from %files. It is not even needed for EPEL5.
Comment 3 Mario Blättermann 2012-10-18 06:43:10 EDT
Ping...?
Comment 4 Ricardo Rocha 2012-10-18 06:45:11 EDT
Wow sorry, i hadn't seen you had done the review, just got this email.

I'll have a look very soon. Thanks!
Comment 5 Ricardo Rocha 2012-10-24 05:36:48 EDT
Hi.

Thanks again for the review.

Updated spec and src rpm:
http://rocha.web.cern.ch/rocha/fedora/dmlite-plugins-profiler.spec
http://rocha.web.cern.ch/rocha/fedora/dmlite-plugins-profiler-0.4.0-2.src.rpm

The change was only removing the defattr. Regarding the ownership of /usr/lib(64)/dmlite, it should be owned by dmlite-libs, which is the base package. This package will have a dependency on it as rpmbuild will figure out the libdmlite dependency.

I've added a bug for the ownership of that directory to be properly added to dmlite-libs:
https://bugzilla.redhat.com/show_bug.cgi?id=869568

Is this good?

Thanks,
Ricardo
Comment 6 Mario Blättermann 2012-10-29 17:10:45 EDT
(In reply to comment #5)
> I've added a bug for the ownership of that directory to be properly added to
> dmlite-libs:
> https://bugzilla.redhat.com/show_bug.cgi?id=869568

Ok, the ownership is now granted by the main package, because the appropriate bug is already ON_QA.

----------------

PACKAGE APPROVED

----------------
Comment 7 Ricardo Rocha 2012-10-30 10:12:18 EDT
Thanks Mario!
Comment 8 Ricardo Rocha 2012-10-30 10:19:01 EDT
New Package SCM Request
=======================
Package Name: dmlite-plugins-profiler
Short Description: Profiler plugin for dmlite
Owners: rocha
Branches: el5 el6 f17 f18
Comment 9 Gwyn Ciesla 2012-10-30 10:35:43 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-10-30 11:22:24 EDT
dmlite-plugins-profiler-0.4.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dmlite-plugins-profiler-0.4.0-2.el6
Comment 11 Fedora Update System 2012-10-30 11:22:42 EDT
dmlite-plugins-profiler-0.4.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dmlite-plugins-profiler-0.4.0-2.el5
Comment 12 Fedora Update System 2012-10-30 11:22:58 EDT
dmlite-plugins-profiler-0.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dmlite-plugins-profiler-0.4.0-2.fc17
Comment 13 Fedora Update System 2012-10-30 11:23:08 EDT
dmlite-plugins-profiler-0.4.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dmlite-plugins-profiler-0.4.0-2.fc18
Comment 14 Fedora Update System 2012-10-30 16:12:14 EDT
dmlite-plugins-profiler-0.4.0-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 15 Fedora Update System 2012-11-14 13:28:46 EST
dmlite-plugins-profiler-0.4.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 16 Fedora Update System 2012-11-14 13:30:18 EST
dmlite-plugins-profiler-0.4.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.